Strophe 0.9 XMPP client library

Macros | Functions
event.c File Reference

Event loop and management. More...

## Macros
#define | _sleep(x) usleep((x) * 1000)
#define | DEFAULT_TIMEOUT 1
| The default timeout in milliseconds for the event loop. More...

## Functions
void | xmpp_run_once (xmpp_ctx_t *ctx, const unsigned long timeout)
| Run the event loop once. More...
void | xmpp_run (xmpp_ctx_t *ctx)
| Start the event loop. More...
void | xmpp_stop (xmpp_ctx_t *ctx)
| Stop the event loop. More...

## Detailed Description

Event loop and management.

## Macro Definition Documentation

## ◆ _sleep

#define _sleep | ( |  | x | ) | usleep((x) * 1000)

## ◆ DEFAULT_TIMEOUT

#define DEFAULT_TIMEOUT 1

The default timeout in milliseconds for the event loop.

This is set to 1 millisecond.